var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useState, useCallback, useMemo } from 'react';
import { graphql } from 'gatsby';
import styled, { css } from 'styled-components';
import DefaultLayout from './default';
import { SideNav } from '../components/side-nav';
import { Article } from '../components/archive';
import { MainContentWrapper, device } from '../components/common-style';
const MenuContext = React.createContext();
const MenuProvider = ({ children }) => {
    const [opened, setOpened] = useState(false);
    const toggle = useCallback(() => setOpened((_opened) => !_opened), []);
    const value = useMemo(() => ({ opened, toggle }), [opened, toggle]);
    return React.createElement(MenuContext.Provider, { value: value }, children);
};
const SideNavWrapper = styled.div `
  
  ${(c) => c.opened && css `
    color: red;
  `}
`;
const ArticleContent = styled.div `
  width: 70%;
  max-width: 1200px;
  margin: 0 auto;
  
  @media ${device.mobileM} {
    width: 90%;
  }
`;
export default class DocLayout extends React.Component {
    render() {
        const _a = this.props, { children } = _a, props = __rest(_a, ["children"]);
        return (React.createElement(MenuProvider, null,
            React.createElement(DefaultLayout, Object.assign({}, props),
                React.createElement(MainContentWrapper, null,
                    React.createElement(MenuContext.Consumer, null, ({ opened, toggle }) => {
                        return (React.createElement(SideNavWrapper, { opened: opened },
                            React.createElement(SideNav, null)));
                    }),
                    React.createElement(Article, null,
                        React.createElement(ArticleContent, null, children))))));
    }
}
export const pageQuery = graphql `
  query BlogPostQueryDoc($id: String) {
    mdx(id: { eq: $id }) {
      id
      body
      frontmatter {
        title
      }
    }
  }
`;
